Package org.apache.synapse.transport.http.conn

## Class SynapseHTTPRequestFactory

- java.lang.Object
- - org.apache.synapse.transport.http.conn.SynapseHTTPRequestFactory

- All Implemented Interfaces:
    `org.apache.http.HttpRequestFactory`

      public class SynapseHTTPRequestFactory
      extends Object
      implements org.apache.http.HttpRequestFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ENDPOINT_URL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynapseHTTPRequestFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.http.HttpRequest` | `newHttpRequest​(String method, String uri)` |
    `org.apache.http.HttpRequest` | `newHttpRequest​(org.apache.http.RequestLine requestline)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENDPOINT_URL

          public static final String ENDPOINT_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SynapseHTTPRequestFactory

          public SynapseHTTPRequestFactory()

  - ### Method Detail

    - #### newHttpRequest

          public org.apache.http.HttpRequest newHttpRequest​(org.apache.http.RequestLine requestline)
                                                     throws org.apache.http.MethodNotSupportedException

      Specified by:
        `newHttpRequest` in interface `org.apache.http.HttpRequestFactory`
      Throws:
        `org.apache.http.MethodNotSupportedException`

    - #### newHttpRequest

          public org.apache.http.HttpRequest newHttpRequest​(String method,
                                                            String uri)
                                                     throws org.apache.http.MethodNotSupportedException

      Specified by:
        `newHttpRequest` in interface `org.apache.http.HttpRequestFactory`
      Throws:
        `org.apache.http.MethodNotSupportedException`